Removing a shape file layer doesn't close the file.

2015-07-06 08:28 AM - Axel Volley

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21150

Description

if you add a layer in QGIS Desktop 2.9.0 (61d81f0) and you remove it, the file isn't close and therefore can't be overwritten. You have to

close the application 

to close it.

This worked in 2.8.1 ans 2.8.2.

History

#1 - 2015-07-08 08:05 AM - Raul Nanclares

I can confirm this bug. Found it in 2.10. Windows 7. Osgeo4W

If you try to overwrite a shapefile, using 'Save layer as' once it's been added to QGIS and then removed from the TOC, QGIS will delete the .prj, .qpj and

the .shx but the .dbf and .shp will remain and the following error message will pop up:

Export to vector file failed.

Error: creation of data source failed (OGR error:C:/what/ever/shapefile.shp is not a directory.

#2 - 2015-07-31 11:05 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

this has been fixed before the release of qgis 2.10
